package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * RateLimitProfileOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class RateLimitProfileOpenApiVo   {
  @JsonProperty("profileId")
  private String profileId;

  @JsonProperty("name")
  private String name;

  @JsonProperty("downLimitEnable")
  private Boolean downLimitEnable;

  @JsonProperty("downLimit")
  private Long downLimit;

  @JsonProperty("upLimitEnable")
  private Boolean upLimitEnable;

  @JsonProperty("upLimit")
  private Long upLimit;

  @JsonProperty("defaultProfile")
  private Boolean defaultProfile;

  public RateLimitProfileOpenApiVo profileId(String profileId) {
    this.profileId = profileId;
    return this;
  }

  /**
   * Rate limit profile ID
   * @return profileId
  */
  @ApiModelProperty(value = "Rate limit profile ID")


  public String getProfileId() {
    return profileId;
  }

  public void setProfileId(String profileId) {
    this.profileId = profileId;
  }

  public RateLimitProfileOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Rate limit profile name
   * @return name
  */
  @ApiModelProperty(value = "Rate limit profile name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public RateLimitProfileOpenApiVo downLimitEnable(Boolean downLimitEnable) {
    this.downLimitEnable = downLimitEnable;
    return this;
  }

  /**
   * Whether to enable download limit
   * @return downLimitEnable
  */
  @ApiModelProperty(value = "Whether to enable download limit")


  public Boolean getDownLimitEnable() {
    return downLimitEnable;
  }

  public void setDownLimitEnable(Boolean downLimitEnable) {
    this.downLimitEnable = downLimitEnable;
  }

  public RateLimitProfileOpenApiVo downLimit(Long downLimit) {
    this.downLimit = downLimit;
    return this;
  }

  /**
   * Download limit(Unit: Kbps), this field is required when parameter [downLimitEnable] is true.
   * @return downLimit
  */
  @ApiModelProperty(value = "Download limit(Unit: Kbps), this field is required when parameter [downLimitEnable] is true.")


  public Long getDownLimit() {
    return downLimit;
  }

  public void setDownLimit(Long downLimit) {
    this.downLimit = downLimit;
  }

  public RateLimitProfileOpenApiVo upLimitEnable(Boolean upLimitEnable) {
    this.upLimitEnable = upLimitEnable;
    return this;
  }

  /**
   * Whether to enable upload limit
   * @return upLimitEnable
  */
  @ApiModelProperty(value = "Whether to enable upload limit")


  public Boolean getUpLimitEnable() {
    return upLimitEnable;
  }

  public void setUpLimitEnable(Boolean upLimitEnable) {
    this.upLimitEnable = upLimitEnable;
  }

  public RateLimitProfileOpenApiVo upLimit(Long upLimit) {
    this.upLimit = upLimit;
    return this;
  }

  /**
   * Upload limit(Unit: Kbps), this field is required when parameter [upLimitEnable] is true.
   * @return upLimit
  */
  @ApiModelProperty(value = "Upload limit(Unit: Kbps), this field is required when parameter [upLimitEnable] is true.")


  public Long getUpLimit() {
    return upLimit;
  }

  public void setUpLimit(Long upLimit) {
    this.upLimit = upLimit;
  }

  public RateLimitProfileOpenApiVo defaultProfile(Boolean defaultProfile) {
    this.defaultProfile = defaultProfile;
    return this;
  }

  /**
   * Whether it is default profile.
   * @return defaultProfile
  */
  @ApiModelProperty(value = "Whether it is default profile.")


  public Boolean getDefaultProfile() {
    return defaultProfile;
  }

  public void setDefaultProfile(Boolean defaultProfile) {
    this.defaultProfile = defaultProfile;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    RateLimitProfileOpenApiVo rateLimitProfileOpenApiVo = (RateLimitProfileOpenApiVo) o;
    return Objects.equals(this.profileId, rateLimitProfileOpenApiVo.profileId) &&
        Objects.equals(this.name, rateLimitProfileOpenApiVo.name) &&
        Objects.equals(this.downLimitEnable, rateLimitProfileOpenApiVo.downLimitEnable) &&
        Objects.equals(this.downLimit, rateLimitProfileOpenApiVo.downLimit) &&
        Objects.equals(this.upLimitEnable, rateLimitProfileOpenApiVo.upLimitEnable) &&
        Objects.equals(this.upLimit, rateLimitProfileOpenApiVo.upLimit) &&
        Objects.equals(this.defaultProfile, rateLimitProfileOpenApiVo.defaultProfile);
  }

  @Override
  public int hashCode() {
    return Objects.hash(profileId, name, downLimitEnable, downLimit, upLimitEnable, upLimit, defaultProfile);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class RateLimitProfileOpenApiVo {\n");
    
    sb.append("    profileId: ").append(toIndentedString(profileId)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    downLimitEnable: ").append(toIndentedString(downLimitEnable)).append("\n");
    sb.append("    downLimit: ").append(toIndentedString(downLimit)).append("\n");
    sb.append("    upLimitEnable: ").append(toIndentedString(upLimitEnable)).append("\n");
    sb.append("    upLimit: ").append(toIndentedString(upLimit)).append("\n");
    sb.append("    defaultProfile: ").append(toIndentedString(defaultProfile)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

